Skip to main content
GET
/
it
/
reports
/
tax-pnl
/
securities
/
domestic
Get Job
curl --request GET \
  --url https://test-api.sandbox.co.in/it/reports/tax-pnl/securities/domestic \
  --header 'Authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-api-version: <x-api-version>'
import requests

url = "https://test-api.sandbox.co.in/it/reports/tax-pnl/securities/domestic"

headers = {
"Authorization": "<authorization>",
"x-api-key": "<x-api-key>",
"x-api-version": "<x-api-version>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
Authorization: '<authorization>',
'x-api-key': '<x-api-key>',
'x-api-version': '<x-api-version>'
}
};

fetch('https://test-api.sandbox.co.in/it/reports/tax-pnl/securities/domestic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transaction_id": "f3dcdd8e-6226-4198-b0c2-a4d98b3477a7",
  "code": 200,
  "data": {
    "status": "created"
  },
  "timestamp": "1695117924000"
}
{
"message": "Missing required request parameters: [job_id]"
}

Headers

Authorization
string
required

Bearer token for user-level authorization. Typically passed as Bearer {{access_token}}.

x-api-key
string
required

Your API key used to authenticate and authorize the request.

x-api-version
string
required

Indicates the version of the API you want to use. Ensures backward-compatible behavior.

Query Parameters

job_id
string
required

Unique identifier of the job whose processing status you want to fetch. Returned in the response when a tax P&L job is created.

Response

Job status retrieved successfully

transaction_id
string

Unique identifier for tracking the request across systems

code
integer

HTTP status code

data
object

Response payload containing job status details

timestamp
string<utc-millisec>

Unix timestamp (in milliseconds) indicating when the server generated the response